#include "msp.h"
#include "fan.h"
#include "delay.h"
#include "temp.h"
#include "UART.h"
#include "cooler.h"

/**
 * main.c
 */
void main(void)
{
	WDT_A->CTL = WDT_A_CTL_PW | WDT_A_CTL_HOLD;		// stop watchdog timer
	int threshold = DEFAULT_THRESHOLD, newThreshold = DEFAULT_THRESHOLD, temp;
	cooler_init();
	while(1)
	{
	    SEND_UART_ESC("[5;19H");
	    if((newThreshold = (getThreshold())) != threshold)
        {
            threshold = newThreshold;
            SEND_UART_ESC("[5;19H");
            SEND_UART_ESC("[K");
            updateThreshold(threshold);
        }
	    temp = READ_TEMP;
	    updateTemp(temp);
	    updateSpeed(calcDiff(temp, threshold << 4));
	}
}
